Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.security.providers.credentials
Interface DefaultCredentialMapperMBean

public interface DefaultCredentialMapperMBean
extends weblogic.management.commo.StandardInterface, DeployableCredentialMapperMBean, UserPasswordCredentialMapEditorMBean, ImportMBean, ExportMBean

This MBean represents configuration attributes for the WebLogic Credential Mapping provider.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getDescription()` A short description of the WebLogic Credential Mapping provider.
`java.lang.String` | `getProviderClassName()` The name of the Java class that loads the WebLogic Credential Mapping provider.
`java.lang.String[]` | `getSupportedExportConstraints()` The credential maps that you want to be exported from this Credential Mapping provider's database.
`java.lang.String[]` | `getSupportedExportFormats()` The format of the file to export.
`java.lang.String[]` | `getSupportedImportConstraints()` The credential maps that you want to be imported into this Credential Mapping provider's database.
`java.lang.String[]` | `getSupportedImportFormats()` The format of the fie to import.
`java.lang.String` | `getVersion()` The version of the WebLogic Credential Mapping provider.

Methods inherited from interface weblogic.management.security.credentials.DeployableCredentialMapperMBean
`isCredentialMappingDeploymentEnabled, setCredentialMappingDeploymentEnabled`

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapEditorMBean
`removeUserPasswordCredential, removeUserPasswordCredentialMapping, setUserPasswordCredential, setUserPasswordCredentialMapping`

Methods inherited from interface weblogic.management.security.ImportMBean
`importData`

Methods inherited from interface weblogic.management.security.ExportMBean
`exportData`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm, setRealm`

Methods inherited from interface weblogic.management.security.credentials.UserPasswordCredentialMapReaderMBean
`getCurrentCredentialRemotePassword, getCurrentCredentialRemoteUserName, getCurrentMappingRemoteUserName, getCurrentMappingWLSUserName, getRemotePassword, getRemoteUserName, listCredentials, listMappings`

Methods inherited from interface weblogic.management.utils.ListerMBean
`advance, close, haveCurrent`

Method Detail

### getProviderClassName

    public java.lang.String getProviderClassName()

  The name of the Java class that loads the WebLogic Credential Mapping provider.

  Default Value: "weblogic.security.providers.credentials.DefaultCredentialMapperProviderImpl"
  Legal NULL: true

### getDescription

    public java.lang.String getDescription()

  A short description of the WebLogic Credential Mapping provider.

  Default Value: "WebLogic Credential Mapping Provider"
  Legal NULL: true

### getVersion

    public java.lang.String getVersion()

  The version of the WebLogic Credential Mapping provider.

  Default Value: "1.0"
  Legal NULL: true

### getSupportedImportFormats

    public java.lang.String[] getSupportedImportFormats()

  The format of the fie to import. The list of supported import formats is determined by the Credential Mapping provider from which the credential maps were originally exported.
  Specified by:
    getSupportedImportFormats in interface ImportMBean

  Default Value: new String[] { "DefaultCreds" }
  Legal NULL: true

### getSupportedImportConstraints

    public java.lang.String[] getSupportedImportConstraints()

  The credential maps that you want to be imported into this Credential Mapping provider's database. If none are specified, all are imported.
  Specified by:
    getSupportedImportConstraints in interface ImportMBean

  Default Value: new String[0]
  Legal NULL: true

### getSupportedExportFormats

    public java.lang.String[] getSupportedExportFormats()

  The format of the file to export. The list of supported export formats is determined by this Credential Mapping provider.
  Specified by:
    getSupportedExportFormats in interface ExportMBean

  Default Value: new String[] { "DefaultCreds" }
  Legal NULL: true

### getSupportedExportConstraints

    public java.lang.String[] getSupportedExportConstraints()

  The credential maps that you want to be exported from this Credential Mapping provider's database. If none are specified, all are exported.
  Specified by:
    getSupportedExportConstraints in interface ExportMBean

  Default Value: new String[] { "passwords" }
  Legal NULL: true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD